<?php
namespace PHPMaker2020\project2;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$estados_delete = new estados_delete();

// Run the page
$estados_delete->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$estados_delete->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var festadosdelete, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "delete";
	festadosdelete = currentForm = new ew.Form("festadosdelete", "delete");
	loadjs.done("festadosdelete");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $estados_delete->showPageHeader(); ?>
<?php
$estados_delete->showMessage();
?>
<form name="festadosdelete" id="festadosdelete" class="form-inline ew-form ew-delete-form" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="estados">
<input type="hidden" name="action" id="action" value="delete">
<?php foreach ($estados_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode(Config("COMPOSITE_KEY_SEPARATOR"), $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo HtmlEncode($keyvalue) ?>">
<?php } ?>
<div class="card ew-card ew-grid">
<div class="<?php echo ResponsiveTableClass() ?>card-body ew-grid-middle-panel">
<table class="table ew-table">
	<thead>
	<tr class="ew-table-header">
<?php if ($estados_delete->id->Visible) { // id ?>
		<th class="<?php echo $estados_delete->id->headerCellClass() ?>"><span id="elh_estados_id" class="estados_id"><?php echo $estados_delete->id->caption() ?></span></th>
<?php } ?>
<?php if ($estados_delete->color->Visible) { // color ?>
		<th class="<?php echo $estados_delete->color->headerCellClass() ?>"><span id="elh_estados_color" class="estados_color"><?php echo $estados_delete->color->caption() ?></span></th>
<?php } ?>
<?php if ($estados_delete->nombre->Visible) { // nombre ?>
		<th class="<?php echo $estados_delete->nombre->headerCellClass() ?>"><span id="elh_estados_nombre" class="estados_nombre"><?php echo $estados_delete->nombre->caption() ?></span></th>
<?php } ?>
	</tr>
	</thead>
	<tbody>
<?php
$estados_delete->RecordCount = 0;
$i = 0;
while (!$estados_delete->Recordset->EOF) {
	$estados_delete->RecordCount++;
	$estados_delete->RowCount++;

	// Set row properties
	$estados->resetAttributes();
	$estados->RowType = ROWTYPE_VIEW; // View

	// Get the field contents
	$estados_delete->loadRowValues($estados_delete->Recordset);

	// Render row
	$estados_delete->renderRow();
?>
	<tr <?php echo $estados->rowAttributes() ?>>
<?php if ($estados_delete->id->Visible) { // id ?>
		<td <?php echo $estados_delete->id->cellAttributes() ?>>
<span id="el<?php echo $estados_delete->RowCount ?>_estados_id" class="estados_id">
<span<?php echo $estados_delete->id->viewAttributes() ?>><?php echo $estados_delete->id->getViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($estados_delete->color->Visible) { // color ?>
		<td <?php echo $estados_delete->color->cellAttributes() ?>>
<span id="el<?php echo $estados_delete->RowCount ?>_estados_color" class="estados_color">
<span<?php echo $estados_delete->color->viewAttributes() ?>><?php echo $estados_delete->color->getViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($estados_delete->nombre->Visible) { // nombre ?>
		<td <?php echo $estados_delete->nombre->cellAttributes() ?>>
<span id="el<?php echo $estados_delete->RowCount ?>_estados_nombre" class="estados_nombre">
<span<?php echo $estados_delete->nombre->viewAttributes() ?>><?php echo $estados_delete->nombre->getViewValue() ?></span>
</span>
</td>
<?php } ?>
	</tr>
<?php
	$estados_delete->Recordset->moveNext();
}
$estados_delete->Recordset->close();
?>
</tbody>
</table>
</div>
</div>
<div>
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("DeleteBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $estados_delete->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
</div>
</form>
<?php
$estados_delete->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$estados_delete->terminate();
?>